// body //

body {
    position: relative;
    display: block;
    overflow-y: scroll;
    height: 100%;

    &::-webkit-scrollbar {
        width: 10px;
        background-color: $white;
        border-left: 1px solid $gray1;
    }

    &::-webkit-scrollbar-thumb {
        background-color: $green;
        
    }

    @media (max-width: 375px) {
        width: 375px;
    }
}

// screen dimming overlay // 

.overlay {
    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(5px); 
    position: fixed; 
    display: none; 
    width: 100%; 
    height: 100%; 
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
    display: none;
}

.overlay--active {
    display: block;
}

// active // 

.active {
    visibility: visible !important;
    opacity: 1 !important;
}


// section // 

.section {
    padding-top: 110px;
    padding-bottom: 120px;

    @media (max-width: 1024px) {
        padding-top: 70px;
        padding-bottom: 80px;
    }

    @media (max-width: 768px) {
        padding-top: 60px;
        padding-bottom: 70px;
    }

    @media (max-width: 425px) {
        padding-top: 50px;
        padding-bottom: 60px;
    }

    &:first-child {
        padding-top: 220px;
        padding-bottom: 120px;

        @media (max-width: 1024px) {
            padding-top: 150px;
            padding-bottom: 80px;
        }

        @media (max-width: 768px) {
            padding-top: 120px;
            padding-bottom: 70px;
        }

        @media (max-width: 576px) {
            padding-top: 100px;
            padding-bottom: 60px;
        }
    }
}

// container // 

.container {
    max-width: 1160px;
    padding: 0 20px;
    margin: 0 auto;
}

.map__container {
    max-width: 1160px;
    padding: 0 20px;
    margin: 0 auto;

    @media (max-width: 1024px) {
        padding: 0;
        width: 100%;
    }
}

// header //

.header {
    font-family: 'Noto Sans';
    font-style: normal;
}

// link //

a {
    color: $gray;
    transition: 0.4s ease;
    cursor: pointer;

    .arrow {
        path {
            transition: 0.4s ease;
        }
    }

    &:hover {
        color: $green;

        .arrow {
            path {
                fill: $green;
            }
        }
    }
}

// social colors // 

.whatsapp__link {
    background: $whatsapp;
    box-shadow: 0px 10px 20px 0 rgba(74, 190, 90, 0.2);
    
    &:hover {
        background: $whatsappHover;
    }
}

.viber__link {
    background: $viber;
    box-shadow: 0px 10px 20px 0 rgba(116, 68, 168, 0.2);

    &:hover {
        background: $viberHover;
    }
}

.telegram__link {
    background: $telegram;
    box-shadow: 0px 10px 20px 0 rgba(67, 180, 248, 0.2);

    &:hover {
        background: $telegramHover;
    }
}

.email__link {
    background: $email;
    box-shadow: 0px 10px 20px 0 rgba(67, 94, 248, 0.2);

    &:hover {
        background: $emailHover;
    }
}

.phone__link {
    background: $phone;
    box-shadow: 0px 10px 20px 0 rgba(248, 67, 67, 0.2);

    &:hover {
        background: $phoneHover;
    }
}

// titles //

h1, h2, h3, h4 {
    font-family: 'Russo One';
    font-weight: 100;
    color: $black;

    span {
        color: $green;
    }
}

.main__title {
    @include mainTitle;
}

.block__title {
    @include blockTitle;
}

.block__subtitle {
    @include blockSubTitle;
}

// text // 

.block__text {
    @include blockText;
}

.block__subtext {
    @include blockSubText;
}

// button // 

.block__button {
    @include blockButton;
}

// pen // 

.pen {
    position: relative;

    &::before {
        position: absolute;
        content: url('../img/icon/pen.png');
        right: -30px;
        top: 30px;
        transition: 0.3s ease;

        @media (max-width: 1024px) {
            right: -15px;
            top: 15px;
        }

        @media (max-width: 768px) {
            content: url('../img/icon/pen-2.png');
        }
    }

    &:hover {
        &:before {
            scale: 1.1;
        }
    }
}

// img //

img {
    width: 100%;
}

// svg // 

svg {
    rect {
        transition: 0.4s ease;
    }
}


// back to top button // 

.back-to-top {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    bottom: 15px;
    left: 15px;
    z-index: 1;
    transition: 0.4s ease;

    &:hover {
        svg {
            rect {
                fill: $greenHover;
            }
        }
    }

    @media (max-width: 576px) {
        bottom: 95px;

        svg {
            width: 50px;
            height: 50px;
        }
    }

}

.back-to-top--show {
    visibility: visible;
    opacity: 1;
}